fix postgresql backup script

This commit is contained in:
Valentin Verdier 2024-05-11 23:10:14 +02:00
parent e017320e8c
commit 5cbfdf0442

View File

@ -7,7 +7,7 @@ DATABASES=''
BACKUP_DIR=/data/backup/postgresql
RETENTION_DAYS=7
if ! source /etc/mkpsqlbackup.conf ; then
if ! . /etc/mkpsqlbackup.conf ; then
echo '[MKPSQLBACKUP] : Unable to load configuration file' >&2
exit 1
fi
@ -17,14 +17,14 @@ if [ "$(id -un)" != 'postgres' ] ; then
exit 2
fi
FINAL_BACKUP_DIR="$BACKUP_DIR/-$(date '+%Y-%m-%d')"
FINAL_BACKUP_DIR="$BACKUP_DIR/$(date '+%Y-%m-%d')"
echo "[MKPSQLBACKUP] : Creating backup directory $FINAL_BACKUP_DIR"
if ! mkdir -p "$FINAL_BACKUP_DIR" ; then
echo "[MKPSQLBACKUP] : Unable to create backup directory $FINAL_BACKUP_DIR"
exit 3
fi
for db in DATABASES ; do
for db in $DATABASES ; do
echo "[MKPSQLBACKUP] : Backup of $db"
if ! pg_dump -Fc "$db" -f "$FINAL_BACKUP_DIR/$db" ; then
echo "[MKPSQLBACKUP] : Unable to backup database $db" >&2
@ -32,4 +32,4 @@ for db in DATABASES ; do
done
echo '[MKPSQLBACKUP] : Purging old backups'
find "$BACKUP_DIR" -maxdepth 1 mindepth 1 -mtime +"$RETENTION_DAYS" -exec rm -rf '{}' ';'
find "$BACKUP_DIR" -maxdepth 1 -mindepth 1 -mtime +"$RETENTION_DAYS" -exec rm -rf '{}' ';'